#include <stdio.h>
#include <malloc.h>


int main()
{
    char *Ispis, c1, c2;
    int a1, a2;

    c1 = getchar();
    c2 = getchar();

    scanf("%d %d", &a1, &a2);

    Ispis = (char*)calloc(a1 + a2, sizeof(char));

    if (a1 == a2)
    {
        for (int i = 0; i < a1 + a2; ++i)
        {
            Ispis[i] = (i % 2) ? c1 : c2;
        }
    }
    else if (a1 == a2 - 1)
    {
        for (int i = 0; i < a1 + a2; ++i)
        {
            Ispis[i] = (i % 2) ? c1 : c2;
        }
    }
    else if (a1 - 1 == a2)
    {
        for (int i = 0; i < a1 + a2; ++i)
        {
            Ispis[i] = (i % 2) ? c2 : c1;
        }
    }
    else
    {
        Ispis = "Greska";
    }

    puts(Ispis);
}